# Class FacetSettings

Handle the rendering of the Facet settings menu (typically the ... in the facet header).

## Index

### Methods

- build
- close
- loadSavedState
- open
- saveState

## Methods

### build

- build(): HTMLElement

- - Defined in ui/Facet/FacetSettings.ts :72

  Build the menu, hook click events.

  #### Returns HTMLElement

### close

- close(): void

- - Defined in ui/Facet/FacetSettings.ts :160

  Close the settings menu

  #### Returns void

### loadSavedState

- loadSavedState(): void

- - Defined in ui/Facet/FacetSettings.ts :116

  Restore the facet state from local storage, and apply it in the query state model.

  #### Returns void

### open

- open(): void

- - Defined in ui/Facet/FacetSettings.ts :171

  Open the settings menu

  #### Returns void

### saveState

- saveState(): void

- - Defined in ui/Facet/FacetSettings.ts :145

  Take the current state of the facet and save it in the local storage.

  #### Returns void

### Hierarchy

- FacetSort